tvbrowser.ui.splashscreen

## Class SplashScreen

- java.lang.Object
- - tvbrowser.ui.splashscreen.SplashScreen

- All Implemented Interfaces:
    Splash

      public class SplashScreen
      extends java.lang.Object
      implements Splash

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mImgFileName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplashScreen()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hideSplash()`
    `void` | `paintOnce(java.awt.Graphics2D grp)`
    `void` | `setMessage(java.lang.String msg)`
    `void` | `setTransparentBackground(boolean value)` Sets the if the clock background should be transparent.
    `void` | `showSplash()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mImgFileName

          protected java.lang.String mImgFileName

  - ### Constructor Detail

    - #### SplashScreen

          public SplashScreen()

  - ### Method Detail

    - #### paintOnce

          public void paintOnce(java.awt.Graphics2D grp)

    - #### setMessage

          public void setMessage(java.lang.String msg)

      Specified by:
        `setMessage` in interface `Splash`

    - #### hideSplash

          public void hideSplash()

      Specified by:
        `hideSplash` in interface `Splash`

    - #### showSplash

          public void showSplash()

      Specified by:
        `showSplash` in interface `Splash`

    - #### setTransparentBackground

          public void setTransparentBackground(boolean value)

      Sets the if the clock background should be transparent. Copied from ClockPlugin.

      Parameters:
        `value` - `true` if the clock background should be transparent.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)